Name:           joda-convert
Version:        2.2.1
Release:        1%{?dist}
Summary:        Java library to enable conversion to and from standard string formats

License:        ASL 2.0
URL:            https://github.com/JodaOrg/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

%description
Joda-Convert is a small, highly-focussed library, tackling a problem that the
JDK should solve - providing round-trip conversion between Objects and Strings.
It is not intended to tackle the wider problem of Object to Object
transformation.

%javadoc_package

%prep
%autosetup

find \( -name \*.jar -o -name \*.class \) -delete

%pom_remove_parent .

# add groupId as consequences of removing parent
%pom_xpath_inject 'pom:project' '<groupId>org.joda</groupId>' .

# add version
%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-surefire-plugin"]' '<version>any</version>' .
%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-checkstyle-plugin"]' '<version>any</version>' .
%pom_xpath_inject 'pom:plugin[pom:artifactId="jacoco-maven-plugin"]' '<version>any</version>' .
%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-jar-plugin"]' '<version>any</version>' .

# remove java module
rm src/main/java/module-info.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.md RELEASE-NOTES.txt

%changelog
* Tue Aug 17 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
 
* Fri Jul 10 2020 Jiri Vanek <jvanek@redhat.com> - 1.9.2-7
- Rebuilt for JDK-11, see https://fedoraproject.org/wiki/Changes/Java11
 
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
 
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
 
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
 
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
 
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
 
* Wed Oct 18 2017 Michael Simacek <msimacek@redhat.com> - 1.9.2-1
- Update to upstream version 1.9.2
 
* Tue Aug 22 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.3-1
- Update to upstream version 1.8.3
 
* Mon Aug 14 2017 Michael Simacek <msimacek@redhat.com> - 1.8.2-1
- Update to upstream version 1.8.2
 
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
* Thu Feb 23 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-5
- Remove unneeded maven-javadoc-plugin invocation
 
* Tue Feb 07 2017 Michael Simacek <msimacek@redhat.com> - 1.8.1-4
- Remove useless plugins
 
* Tue May 31 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-3
- Disable maven-checkstyle-plugin
 
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
 
* Fri Nov 20 2015 Michael Simacek <msimacek@redhat.com> - 1.8.1-1
- Update to upstream version 1.8.1
 
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
 
* Tue Aug  5 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.7-1
- Update to upstream version 1.7
 
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
 
* Mon Feb 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6-1
- Update to upstream version 1.6
 
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
 
* Sun Jul 14 2013 Mat Booth <fedora@matbooth.co.uk> - 1.3.1-1
- Update to latest upstream, fixes rhbz #919539
- Use XMvn macros
 
* Tue May 28 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3-2
- Install NOTICE file with javadoc as well
- Use full URL for Source0
 
* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.3-1
- Update to 1.3
 
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
 
* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local
 
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
 
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
 
* Thu Nov 17 2011 Andy Grimm <agrimm@gmail.com> - 1.2-1
- update to 1.2 and pull source tarball correctly
 
* Tue Oct 18 2011 Andy Grimm <agrimm@gmail.com> - 1.1-1
- Initial package
